### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »

# Module: `nbconvert.filters.highlight`

Module containing filter functions that allow code to be highlighted from within Jinja templates.

## 2 Functions

`IPython.nbconvert.filters.highlight.``highlight2html`(source, language='ipython')

  Return a syntax-highlighted version of the input source as html output.

  Parameters:

  source : str

  > Source code to highlight the syntax of.

  language : str

  > Language to highlight the syntax of.

`IPython.nbconvert.filters.highlight.``highlight2latex`(source, language='ipython')

  Return a syntax-highlighted version of the input source as latex output.

  Parameters:

  source : str

  > Source code to highlight the syntax of.

  language : str

  > Language to highlight the syntax of.

### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »